## nco 4.6.2

=== bld/Makefile ===
# $Header$ -*-makefile-*-

# Purpose: GNU Makefile for NCO module nco
# Requires GNU Make---AT&T Make chokes on GNU syntax

# Copyright (C) 1994--2016 Charlie Zender
# License: GNU General Public License (GPL) Version 3
# See http://www.gnu.org/copyleft/gpl.html for full license text

# Quickie test copies:
# scp ~/nco/bld/Makefile tephra.ess.uci.edu:nco/bld
# scp ~/nco/bld/Makefile dust.ess.uci.edu:nco/bld
# scp ~/nco/bld/Makefile gplogin2.ps.uci.edu:nco/bld

# Machine build parameters
#                         Source     Method   Packages Compiler
# aerosol.ess.uci.edu: NCO          Configure All else LLVM
# cooley.alcf.anl.g  : NCO          Configure All else GCC
# edison.nersc.gov   : NCO          Configure All else Intel
# firn.ess.uci.edu   : NCO          Configure All else LLVM
# frazil.ess.uci.edu : NCO + netCDF Configure All else GCC
# givre.ess.uci.edu  : NCO + netCDF Makefile  All else LLVM
# glace.ess.uci.edu  : NCO          Configure All else GCC
# grele.ess.uci.edu  : NCO          Makefile  All else GCC
# neige.ess.uci.edu  : NCO          Makefile  All else GCC
# rhea.ccs.ornl.gov  : NCO          Makefile  All else GCC
# roulee.ess.uci.edu : NCO + netCDF Makefile  All else GCC
# skyglow.ess.uci.edu: NCO          Configure All else GCC
# travis CI          : NCO          Configure All else gcc,clang,g++
# yellowstone.ucar.e : NCO          Makefile  All else Intel

# Usage (testing):
# make tst                           # Vanilla regression test
# make FL_FMT=netcdf4 tst            # netCDF4 regression test
# make MPI_PRC=3 tst                 # MPI regression test
# make MPI_PRC=3 bm                  # MPI benchmarks
# make THR_NBR=2 tst                 # OpenMP regression test
# make THR_NBR=2 bm                  # OpenMP benchmarks
# make MPI=Y                         # MPI features (HDF5 and PnetCDF I/O)
# make NETCDF4=Y                     # netCDF4 features
# make PNETCDF=Y                     # PnetCDF features

# Usage (Compilation):
# cd ~/nco/qt;qmake;make;cd -        # Qt
# cd ~/nco/bld;make;cd -             # Default build
# cd ~/nco/bld;make USR_TKN='-DNC_HAVE_RENAME_GRP';cd - # New API
# cd ~/nco/bld;make UDUNITS_INC='/usr/include/udunits2';cd - # Fedora build
# cd ~/nco/bld;make cln bin_cln;cd - # Clean all dependencies for fresh build
# cd ~/nco/bld;make dir all; cd -    # Create target directories then build
# cd ~/nco/bld;make dbg;cd -         # Print make diagnostics
# cd ~/nco/bld;make DPKG=Y;cd -      # Debian hardening
# cd ~/nco/bld;make ESMF=Y;cd -      # ESMF regridding
# cd ~/nco/bld;make GSL=Y;cd -	     # GSL support
# cd ~/nco/bld;make I18N=Y;cd -      # Internationalization
# cd ~/nco/bld;make lib_cln;cd -     # Clean libraries
# cd ~/nco/bld;make MPI=Y;cd -       # MPI support
# cd ~/nco/bld;make MPI_FAKE=Y;cd -  # Spoof MPI support
# cd ~/nco/bld;make OMP=Y;cd -       # OpenMP support
# cd ~/nco/bld;make OPTS=D;cd -      # "Debugging": Enough symbols for debugging (default)
# cd ~/nco/bld;make OPTS=O;cd -      # "Optimize": For production (includes symbols)
# cd ~/nco/bld;make OPTS=R;cd -      # "Regular": No optimization or debugging
# cd ~/nco/bld;make OPTS=X;cd -      # "eXtreme": All debugging switches available
# cd ~/nco/bld;make sys;cd -         # Install in /usr/local (must sudo)
# cd ~/nco/bld;make SZ=Y;cd -	     # Szip support
# cd ~/nco/bld;make UDUNITS=Y;cd -   # UDUnits support
# cd ~/nco/bld;make --jobs=4;cd -    # Parallel make
# Normal (Linux) developer systems:
# cd ~/nco/bld;make cln all ncap2;cd - # New default for most machines
# cd ~/nco/bld;make OMP=Y CUDA=Y OPTS=D NETCDF4=Y UDUNITS=Y allinone;cd - # givre
# cd ~/nco/bld;make OMP=Y OPTS=D NETCDF4=Y UDUNITS=Y allinone;cd - # givre, neige
# cd ~/nco/bld;make OMP=Y OPTS=D NETCDF4=N UDUNITS=Y allinone;cd - # glace, virga
# mpi-selector --set openmpi_gcc-1.3.3 # Then use /sopt/netcdf/netcdf3-gcc-serial serial libraries
# mpi-selector --set mpich_pgi_1.2.7p1 # After compiling
# cd ~/nco/bld;ANTLR_ROOT=/sopt/gfortran_g++ NETCDF_ROOT=/sopt/gfortran_g++ SZ_LIB=/sopt/lib UDUNITS_INC=/sopt/include UDUNITS_LIB=/sopt/lib make OMP=Y OPTS=D NETCDF4=Y SZ=Y UDUNITS=N allinone;cd - # greenplanet gcc
# cd ~/nco/bld;ANTLR=/home/pvicente/install/antlr-2.7.7/bin/antlr ANTLR_ROOT=/home/pvicente/install/antlr-2.7.7 NETCDF_ROOT=/home/pvicente/install/netcdf-4.3.0 UDUNITS_INC=/home/pvicente/install/udunits-2.1.24/include UDUNITS_LIB=/home/pvicente/install/udunits-2.1.24/lib make OPTS=D allinone;cd - # greenplanet gcc pedro
# cd ~/nco/bld;ANTLR=/sopt/ifort_icpc/bin/antlr ANTLR_ROOT=/sopt/ifort_icpc SZ_LIB=/sopt/lib UDUNITS_INC=/sopt/include UDUNITS_LIB=/sopt/lib make OMP=Y OPTS=D NETCDF4=Y SZ=Y UDUNITS=N allinone;cd - # greenplanet intel
# cd ~/nco/bld;ANTLR=/sopt/pgf90_pgcc/bin/antlr ANTLR_ROOT=/sopt/pgf90_pgcc SZ_LIB=/sopt/lib UDUNITS_INC=/sopt/include UDUNITS_LIB=/sopt/lib make OMP=Y OPTS=D NETCDF4=N SZ=Y UDUNITS=N allinone;cd - # greenplanet pgi
# cd ~/nco/bld;make OMP=Y OPTS=D NETCDF4=N UDUNITS=Y allinone;cd - # pbs
# cd ~/nco/bld;make OMP=Y OPTS=D NETCDF4=N UDUNITS=Y allinone;cd - # grele
# cd ~/nco/bld;make NETCDF4=N all ncap2;cd - # tephra
# cd ~/nco/bld;make OMP=Y OPTS=D NETCDF4=N UDUNITS=N allinone;cd - # silt, clay
# cd ~/nco/bld;NETCDF_INC='/usr/include/netcdf-3' NETCDF_LIB='/usr/lib64' make GSL=N OMP=N OPTS=D NETCDF4=N UDUNITS=N allinone;cd - # snow
# cd ~/nco/bld;make OMP=N OPTS=D NETCDF4=N UDUNITS=N USR_TKN='-DNEED_NC_INQ_FORMAT' allinone;cd - # snow w/OPeNDAP
# cd ~/nco/bld;make OPTS=D USR_TKN='-DNEED_NC_INQ_FORMAT' allinone;cd -
# 64-bit ABI on UCI MPC:
# cd ~/nco/bld;env ANTLR='/software/antlr/bin/antlr' ANTLR_ROOT='/software/antlr' UDUNITS_INC='/software/udunits/include' UDUNITS_LIB='/software/udunits/lib' make --jobs=1 ABI=64 allinone;cd -
# 64-bit ABI on UCI IPCC:
# cd ~/nco/bld;env ANTLR='/usr/local/pgi/bin/antlr' ANTLR_ROOT='/usr/local/pgi' make --jobs=1 ABI=64 allinone;cd -
# 64-bit ABI netCDF3 on NCAR AIX systems (bluefire):
# cd ~/nco/bld;ANTLR='/contrib/antlr-2.7.7/bin/antlr' ANTLR_ROOT='/contrib/antlr-2.7.7' GSL_INC='/contrib/gsl-1.12/include' GSL_LIB='/contrib/gsl-1.12/lib' NETCDF_LIB='/usr/local/lib64/r4i4' UDUNITS_INC='/contrib/udunits-1.12.9/include' UDUNITS_LIB='/contrib/udunits-1.12.9/lib' make --jobs=1 OPTS=D NETCDF4=N UDUNITS=N allinone ABI=64;cd -
# 64-bit ABI netCDF4 on NCAR AIX systems (bluefire):
# cd ~/nco/bld;ANTLR='/contrib/antlr-2.7.7/bin/antlr' ANTLR_ROOT='/contrib/antlr-2.7.7' CURL_LIB='/contrib/curl/7.21.2/lib' GSL_INC='/contrib/gsl-1.12/include' GSL_LIB='/contrib/gsl-1.12/lib' HDF5_ROOT='/contrib/hdf5-1.8.7_seq' LDFLAGS='-lnetcdf -lhdf5_hl -lhdf5 -lz' NETCDF_ROOT='/contrib/netcdf/4.1.3_seq' SZ_LIB='/contrib/szip/lib' UDUNITS_LIB='/contrib/zlib/lib' make --jobs=1 OPTS=D SZ=Y allinone ABI=64;cd -
# 64-bit ABI netCDF4 on NCAR AIX systems (bluefire):
# cd ~/bin/AIX;/usr/local/bin/tar cvzf ~/nco-4.4.6.aix53.tar.gz nc*;scp ~/nco-4.4.6.aix53.tar.gz zender,nco@web.sf.net:/home/project-web/nco/htdocs/src
# netCDF4 on NCAR Linux cluster systems (mirage):
# cd ~/nco/bld;make OPTS=D allinone;cd -
# netCDF4 on ORNL Linux cluster systems (titan, rhea.ccs.ornl.gov):
# module avail
# . ~/.bashrc
# module add intel gsl
# export LD_LIBRARY_PATH='/sw/redhat6/netcdf/4.1.3/rhel6.4_intel13.1.3/lib:/sw/redhat6/szip/2.1/rhel6.6_gnu4.8.2/lib':${LD_LIBRARY_PATH}
# export NETCDF_ROOT='/sw/redhat6/netcdf/4.1.3/rhel6.4_intel13.1.3' 
# export PATH='/sw/redhat6/netcdf/4.1.3/rhel6.4_intel13.1.3/bin':${PATH}
# cd ~/nco/bld;make ANTLR_ROOT=${HOME} NETCDF_ROOT='/sw/redhat6/netcdf/4.1.3/rhel6.4_intel13.1.3' SZ=Y SZ_LIB='/sw/redhat6/szip/2.1/rhel6.6_gnu4.8.2/lib' UDUNITS_INC='/sw/redhat6/udunits/2.1.24/rhel6.4_intel13.1.3/include' UDUNITS_LIB='/sw/redhat6/udunits/2.1.24/rhel6.4_intel13.1.3/lib' OPTS=D allinone;cd -
# ncap2:
# netCDF4 on NCAR Linux cluster systems (yellowstone):
# /ncar/opt/hpss/hsi # Starts HPSS session
# export PATH=${PATH}\:/ncar/opt/hpss
# GNU (works):
# module swap intel gnu;module add gsl;module add netcdf/4.3.0;
# export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}\:/glade/apps/opt/udunits/2.1.24/gnu/default/lib
# cd ~/nco/bld;make NETCDF_ROOT='/glade/apps/opt/netcdf/4.3.0/gnu/default' UDUNITS_INC='/glade/apps/opt/udunits/2.1.24/gnu/default/include' UDUNITS_LIB='/glade/apps/opt/udunits/2.1.24/gnu/default/lib' OPTS=D allinone;cd -
# Intel (works as of 20140129):
# module add intel;module add gsl;module add netcdf/4.3.0;
# https://www2.cisl.ucar.edu/sites/default/files/Yellowstone_Started_Nov30-2.pdf
# module add pnetcdf/1.4.1
# export PATH=${PATH}:/glade/apps/opt/netcdf/4.3.0/intel/12.1.5/bin # needed for ncgen
# export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/glade/apps/opt/netcdf/4.3.0/intel/12.1.5/lib # needed to run NCO
# cd ~/nco/bld;make NETCDF_ROOT='/glade/apps/opt/netcdf/4.3.0/intel/default' UDUNITS_INC='/glade/apps/opt/udunits/2.1.24/intel/12.1.4/include' UDUNITS_LIB='/glade/apps/opt/udunits/2.1.24/intel/12.1.4/lib' OPTS=D allinone;cd -
# Cygwin on Windows Vista systems:
# cd ~/nco/bld;ANTLR='antlr' make --jobs=1 GSL=Y OPTS=D NETCDF4=Y UDUNITS=Y allinone;cd -
# cd ~/bin/WIN32;tar cvzf ~/nco-4.5.2.win32.cygwin.tar.gz nc* ; scp ~/nco-4.5.2.win32.cygwin.tar.gz zender,nco@web.sf.net:/home/project-web/nco/htdocs/src
# Data files to dust
# cd ~/nco/data;scp cmip5.nc obs.nc mdl_1.nc mdl_2.nc in_grp*.nc in.nc in_4c.nc dust.ess.uci.edu:/var/www/html/nco

# Top-level tokens defining directory structure
# These tokens may be over-ridden by environment variables or when invoking make, e.g., make OMP=Y
MY_BLD_DIR := ../bld
ifndef PVM_ARCH
 PVM_ARCH := $(shell ${MY_BLD_DIR}/pvmgetarch)
endif
ifndef MY_BIN_DIR
 MY_BIN_DIR := ../bin
endif
ifndef MY_LIB_DIR
 MY_LIB_DIR := ../lib
endif
ifndef MY_MAN_DIR
 MY_MAN_DIR := ../man
endif
ifndef MY_OBJ_DIR
 MY_OBJ_DIR := ../obj
endif
MY_BM_DIR := ../bm
MY_DAT_DIR := ../data
MY_DBN_DIR := ../debian
MY_DOC_DIR := ../doc
MY_DPN_DIR := ${MY_OBJ_DIR}
MY_QT_DIR := ../qt
MY_SRC_DIR := ../src/nco
MY_INC_DIR := ${MY_SRC_DIR}
NCO_CXX_SRC_DIR := ${MY_SRC_DIR}/../nco_c++
NCOXX_SRC_DIR := ${MY_SRC_DIR}/../nco++

# Primary tokens which determine build options
# Specify non-default when invoking make, e.g. make OMP=Y
ifndef ABI
# 32- vs. 64-bit ABI: 32=32-bit mode, 64=64-bit mode (default) if available
 ABI := 64
endif # endif ABI
ifndef CCACHE
 CCACHE := N
endif # CCACHE
ifndef CNK
# Use newer netCDF4.1 chunking API
 CNK := Y
endif # endif CNK
ifndef CUDA
 CUDA := N
endif # CUDA
ifndef DAP
 DAP := Y
endif # DAP
ifndef DBG
# Debugging token N=No (default) Y=Yes
 DBG := N
endif # endif DBG
ifndef DPKG
# Debian hardening tokens
 DPKG := N
endif # endif DPKG
ifdef FL_FMT
# Pass this netCDF4 argument to nco_bm.pl
 FL_FMT_SNG := "--fl_fmt=${FL_FMT}"
else # endif FL_FMT
 FL_FMT_SNG :=
endif # endif FL_FMT
ifndef GCC_RCH_ARG
 GCC_RCH_ARG :=
endif # endif GCC_RCH_ARG
ifndef GSL
# Use GSL functionality
 GSL := Y
endif # endif GSL
ifndef ICC_RCH_ARG
 ICC_RCH_ARG :=
endif # endif ICC_RCH_ARG
ifndef I18N
 I18N := N
endif
ifndef NCO_YY_PFX
 NCO_YY_PFX := nco_yy
endif
ifndef MK_DPN
 MK_DPN = ${CPP} -M # NB: Recursive expansion required
 MK_DPN_CXX = ${CXX} -M # NB: Recursive expansion required
endif # endif MK_DPN
ifndef MPI # MPI
 MPI := N
endif # endif MPI
ifndef MPI_FAKE # MPI
 MPI_FAKE := N
endif # endif MPI_FAKE
ifndef NCO_VRS
# Used for RPM building
 NCO_VRS := $(shell cat ${MY_DOC_DIR}/VERSION)
endif
ifndef NETCDF4 # netCDF4 support
 NETCDF4 := Y
endif # endif NETCDF4
ifndef NETCDF_ROOT
 NETCDF_ROOT := /usr/local
endif
ifndef NETCDF4_ROOT
 NETCDF4_ROOT := ${NETCDF_ROOT}
endif
ifndef NETCDF_INC
ifdef INC_NCAR
 NETCDF_INC := ${INC_NCAR} # NCAR module path
else # endelse INC_NCAR
 NETCDF_INC := ${NETCDF_ROOT}/include # Directory containing netcdf.h
endif # endif INC_NCAR
endif # endif NETCDF_INC
ifndef NETCDF_LIB
ifdef LIB_NCAR
 NETCDF_LIB := ${LIB_NCAR} # NCAR module path
else # endelse LIB_NCAR
 NETCDF_LIB := ${NETCDF_ROOT}/lib # Directory containing libnetcdf.a
endif # endif LIB_NCAR
endif # endif NETCDF_LIB
ifndef ${OMP} # OpenMP
 OMP := N

=== debian/changelog ===
nco (4.6.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Change GSL dependency to libgsl0-dev for jessie.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Nov 2016 09:15:07 +0100

nco (4.6.2-2) unstable; urgency=medium

  * Limit parallel build (max-parallel=32).
    (closes: #844865)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Nov 2016 11:33:54 +0100

nco (4.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop libgsl0-dev alternative dependency.
  * Drop spelling-errors.patch, applied upstream.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Nov 2016 19:09:35 +0100

nco (4.6.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Aug 2016 12:16:23 +0200

=== debian/control ===
Source: nco
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               bison,
               flex,
               antlr,
               libantlr-dev,
               gsl-bin,
               libgsl0-dev,
               netcdf-bin,
               libnetcdf-dev,
               libudunits2-dev,
               libdap-dev,
               texinfo
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git -b jessie-backports
Homepage: http://nco.sourceforge.net/

Package: nco
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Command-line operators to analyze netCDF files
 NCO is a suite of programs known as operators. The operators are stand-alone,
 command-line programs executable in a POSIX shell. Operators take one or more
 netCDF files as input, perform operations (e.g., averaging, hyperslabbing),
 and produce a netCDF output file. NCO was originally designed to manipulate and
 analyze climate data, though it works on any netCDF format datasets.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags, except:
#  pie: causes build failure
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

# Use custom automake command to prevent autoreconf failure
export AUTOMAKE = ./debian/automake.sh

%:
	dh $@ --with autoreconf \
	      --buildsystem autoconf \
	      --parallel

override_dh_clean:
	dh_clean data/big.nc \
	         data/in_1.nc \
	         data/in_2.nc \
	         data/nco_bm.stderr \
	         debian/rules.old \
	         doc/nco.info \
	         doc/nco.info-1 \
	         doc/nco.info-2 \
	         doc/nco.info-3

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib/nco \
		--disable-nco_cplusplus \
		--disable-static \
		--disable-udunits \
		--enable-dap \
		--enable-gsl \
		--enable-ncap2 \
		--enable-netcdf4 \
		--enable-udunits2

override_dh_auto_build:
	dh_auto_build --max-parallel=32
	cd doc && $(MAKE) clean && $(MAKE) html
	cd doc && $(MAKE) nco.info && sed -i 's/xmp\/fgr[0-9].png/\/usr\/share\/doc\/nco\/&/' nco.info*

override_dh_auto_test:
	# currently the check phase badly fails
	dh_auto_test || echo "Ignoring test failures"

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/nco -name '*.h' -delete
	find $(CURDIR)/debian/nco -name '*.hh' -delete
	$(RM) debian/nco/usr/lib/nco/libnco.la
	$(RM) debian/nco/usr/share/info/dir

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/nco

## nco 4.6.3

=== CMakeLists.txt ===
#CMake build, Pedro Vicente 
#options
#NETCDF_INCLUDE
#NETCDF_LIBRARY
#HDF5_LIBRARY
#HDF5_LIBRARY
#HDF5_HL_LIBRARY
#ZLIB_LIBRARY
#SZIP_LIBRARY
#CURL_LIBRARY

#Logic for finding header files and library dependencies:
#find_path
#find_library
#are used (with optional location hints); the first argument contains the found file if found.
#and the message "-- Found file at location" is made
#if not found the first argument variable is the same as a user option that contains the file location full path.
#the same message "-- Found file at location" is made
#but there is not an attempt at this time to validate the user input file (.h or .a)

cmake_minimum_required(VERSION 2.8)
project (nco)
set(BUILD_SHARED_LIBRARIES OFF)

find_path(NETCDF_INCLUDE_FOUND netcdf.h HINTS ${NETCDF_INCLUDE} "/usr/include")
if(NOT NETCDF_INCLUDE_FOUND)
  message(FATAL_ERROR "netcdf.h header file not found")
else()
  message("-- Found netcdf.h header file at: " ${NETCDF_INCLUDE_FOUND})
endif()

find_library(NETCDF_LIBRARY NAMES netcdf)
if(NOT NETCDF_LIBRARY)
  message(FATAL_ERROR "netcdf library not found")
else()
  message("-- Found netcdf library at: " ${NETCDF_LIBRARY})
endif()

find_library(HDF5_LIBRARY NAMES hdf5)
if(NOT HDF5_LIBRARY)
  message(FATAL_ERROR "hdf5 library not found")
else()
  message("-- Found hdf5 library at: " ${HDF5_LIBRARY})
endif()

find_library(HDF5_HL_LIBRARY NAMES hdf5_hl)
if(NOT HDF5_HL_LIBRARY)
  message(FATAL_ERROR "hdf5 high level library not found")
else()
  message("-- Found hdf5 high level library at: " ${HDF5_HL_LIBRARY})
endif()

find_library(ZLIB_LIBRARY NAMES z)
if(NOT ZLIB_LIBRARY)
  message(FATAL_ERROR "zlib library not found")
else()
  message("-- Found zlib library at: " ${ZLIB_LIBRARY})
endif()

find_library(SZIP_LIBRARY NAMES sz)
if(NOT SZIP_LIBRARY)
  message(FATAL_ERROR "szip library not found")
else()
  message("-- Found szip library at: " ${SZIP_LIBRARY})
endif()

find_library(CURL_LIBRARY NAMES curl)
if(NOT CURL_LIBRARY)
  message(FATAL_ERROR "curl library not found")
else()
  message("-- Found curl library at: " ${CURL_LIBRARY})
endif()

if (MSVC)
  add_definitions( "/D_CRT_SECURE_NO_WARNINGS" )
  if (STATIC_CRT)
    message("-- Building with static runtime library")
	  set(CMAKE_CXX_FLAGS_DEBUG "/D_DEBUG /MTd /Zi /Ob0 /Od /RTC1")
    set(CMAKE_CXX_FLAGS_MINSIZEREL     "/MT /O1 /Ob1 /D NDEBUG")
    set(CMAKE_CXX_FLAGS_RELEASE        "/MT /O2 /Ob2 /D NDEBUG")
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "/MT /Zi /O2 /Ob1 /D NDEBUG")
  endif()  
  set(WINSOCK_LIBRARY ws2_32.lib winmm.lib wldap32.lib)
endif(MSVC)

if (CMAKE_VERSION VERSION_LESS "3.1")
  if (CMAKE_C_COMPILER_ID STREQUAL "GNU")
    set (CMAKE_C_FLAGS "--std=gnu99 ${CMAKE_C_FLAGS}")
  endif ()
else ()
  set (CMAKE_C_STANDARD 99)
endif ()

include_directories(${NETCDF_INCLUDE_FOUND})

set(LIB_DEP ${LIB_DEP} ${NETCDF_LIBRARY} ${HDF5_HL_LIBRARY} ${HDF5_LIBRARY})
set(LIB_DEP ${LIB_DEP} ${CURL_LIBRARY} ${ZLIB_LIBRARY} ${SZIP_LIBRARY})
set(LIB_DEP ${LIB_DEP} ${WINSOCK_LIBRARY} m)

set(SRC ${SRC} src/nco/libnco.h)
set(SRC ${SRC} src/nco/nco_att_utl.c src/nco/nco_att_utl.h)
set(SRC ${SRC} src/nco/nco_aux.c src/nco/nco_aux.h)
set(SRC ${SRC} src/nco/nco_bnr.c src/nco/nco_bnr.h)
set(SRC ${SRC} src/nco/nco_cln_utl.c src/nco/nco_cln_utl.h)
set(SRC ${SRC} src/nco/nco_cnf_dmn.c src/nco/nco_cnf_dmn.h)
set(SRC ${SRC} src/nco/nco_cnf_typ.c src/nco/nco_cnf_typ.h)
set(SRC ${SRC} src/nco/nco_cnk.c src/nco/nco_cnk.h)
set(SRC ${SRC} src/nco/nco_cnv_arm.c src/nco/nco_cnv_arm.h)
set(SRC ${SRC} src/nco/nco_cnv_csm.c src/nco/nco_cnv_csm.h)
set(SRC ${SRC} src/nco/nco_ctl.c src/nco/nco_ctl.h)
set(SRC ${SRC} src/nco/nco_dbg.c src/nco/nco_dbg.h)
set(SRC ${SRC} src/nco/nco_dmn_utl.c src/nco/nco_dmn_utl.h)
set(SRC ${SRC} src/nco/nco_fl_utl.c src/nco/nco_fl_utl.h)
set(SRC ${SRC} src/nco/nco_getopt.c src/nco/nco_getopt.h)
set(SRC ${SRC} src/nco/nco_grp_trv.c src/nco/nco_grp_trv.h)
set(SRC ${SRC} src/nco/nco_grp_utl.c src/nco/nco_grp_utl.h)
set(SRC ${SRC} src/nco/nco.h)
set(SRC ${SRC} src/nco/nco_lmt.c src/nco/nco_lmt.h)
set(SRC ${SRC} src/nco/nco_lst_utl.c src/nco/nco_lst_utl.h)
set(SRC ${SRC} src/nco/nco_md5.c src/nco/nco_md5.h)
set(SRC ${SRC} src/nco/nco_mmr.c src/nco/nco_mmr.h)
set(SRC ${SRC} src/nco/nco_mpi.h)
set(SRC ${SRC} src/nco/nco_msa.c src/nco/nco_msa.h)
set(SRC ${SRC} src/nco/nco_mss_val.c src/nco/nco_mss_val.h)
set(SRC ${SRC} src/nco/nco_mta.c src/nco/nco_mta.h)
set(SRC ${SRC} src/nco/nco_netcdf.c src/nco/nco_netcdf.h)
set(SRC ${SRC} src/nco/nco_omp.c src/nco/nco_omp.h)
set(SRC ${SRC} src/nco/nco_pck.c src/nco/nco_pck.h)
set(SRC ${SRC} src/nco/nco_ppc.c src/nco/nco_ppc.h)
set(SRC ${SRC} src/nco/nco_prn.c src/nco/nco_prn.h)
set(SRC ${SRC} src/nco/nco_rec_var.c src/nco/nco_rec_var.h)
set(SRC ${SRC} src/nco/nco_rgr.c src/nco/nco_rgr.h)
set(SRC ${SRC} src/nco/nco_rth_flt.c src/nco/nco_rth_flt.h)
set(SRC ${SRC} src/nco/nco_rth_utl.c src/nco/nco_rth_utl.h)
set(SRC ${SRC} src/nco/nco_scl_utl.c src/nco/nco_scl_utl.h)
set(SRC ${SRC} src/nco/nco_scm.c src/nco/nco_scm.h)
set(SRC ${SRC} src/nco/nco_sld.c src/nco/nco_sld.h)
set(SRC ${SRC} src/nco/nco_sng_utl.c src/nco/nco_sng_utl.h)
set(SRC ${SRC} src/nco/nco_srm.c src/nco/nco_srm.h)
set(SRC ${SRC} src/nco/nco_typ.h)
set(SRC ${SRC} src/nco/nco_uthash.h)
set(SRC ${SRC} src/nco/nco_var_avg.c src/nco/nco_var_avg.h)
set(SRC ${SRC} src/nco/nco_var_lst.c src/nco/nco_var_lst.h)
set(SRC ${SRC} src/nco/nco_var_rth.c src/nco/nco_var_rth.h)
set(SRC ${SRC} src/nco/nco_var_scv.c src/nco/nco_var_scv.h)
set(SRC ${SRC} src/nco/nco_var_utl.c src/nco/nco_var_utl.h)

add_executable(ncks src/nco/ncks.c ${SRC})
add_executable(ncbo src/nco/ncbo.c ${SRC})
add_executable(ncecat src/nco/ncecat.c ${SRC})
add_executable(ncflint src/nco/ncflint.c ${SRC})
add_executable(ncpdq src/nco/ncpdq.c ${SRC})
add_executable(ncra src/nco/ncra.c ${SRC})
add_executable(ncrename src/nco/ncrename.c ${SRC})

target_link_libraries (ncks ${LIB_DEP})
target_link_libraries (ncbo ${LIB_DEP})
target_link_libraries (ncecat ${LIB_DEP})
target_link_libraries (ncflint ${LIB_DEP})
target_link_libraries (ncpdq ${LIB_DEP})
target_link_libraries (ncra ${LIB_DEP})
target_link_libraries (ncrename ${LIB_DEP})

=== debian/changelog ===
nco (4.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Don't limit parallel build, FTBFS fixed with BUILT_SOURCES patch.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Dec 2016 23:34:40 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                antlr,
                libantlr-dev,
                gsl-bin,
-               libgsl0-dev,
+               libgsl-dev,
                netcdf-bin,
                libnetcdf-dev,
                libudunits2-dev,
@@ -20,7 +20,7 @@
                texinfo
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git -b jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git
 Homepage: http://nco.sourceforge.net/
 
 Package: nco

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 		--enable-udunits2
 
 override_dh_auto_build:
-	dh_auto_build --max-parallel=32
+	dh_auto_build
 	cd doc && $(MAKE) clean && $(MAKE) html
 	cd doc && $(MAKE) nco.info && sed -i 's/xmp\/fgr[0-9].png/\/usr\/share\/doc\/nco\/&/' nco.info*

## nco 4.6.7

=== CMakeLists.txt ===
#CMake build, Pedro Vicente 
#command line options for library dependencies
#-DFIND_SZIP=BOOL try to locate SZIP library (default ON)
#library dependencies
#-DNETCDF_INCLUDE=PATH
#-DNETCDF_LIBRARY=FILE
#-DHDF5_LIBRARY=FILE
#-DHDF5_LIBRARY=FILE
#-DHDF5_HL_LIBRARY=FILE
#-DZLIB_LIBRARY=FILE
#-DSZIP_LIBRARY=FILE
#-DCURL_LIBRARY=FILE

#///////////////////////////////////////////////////////
#logic for finding header files and library dependencies:
#find_path
#find_library
#are used (with optional location hints); the first argument contains the found file if found.
#and the message "-- Found file at location" is made
#if not found the first argument variable is the same as a user option that contains the file location full path.
#the same message "-- Found file at location" is made
#but there is not an attempt at this time to validate the user input file (.h or .a)
#///////////////////////////////////////////////////////

cmake_minimum_required(VERSION 2.8)
project (nco)
set(BUILD_SHARED_LIBRARIES OFF)

#//////////////////////////
#preprocessor definitions
#//////////////////////////

add_definitions(-DHAVE_NETCDF4_H)
if (MSVC)

  #//////////////////////////
  #visual studio defines math symbols in math.h, avoid duplicate definition
  #//////////////////////////
  
  add_definitions(-D_MATH_DEFINES_DEFINED)
endif(MSVC)

#//////////////////////////
#detect dependencies
#//////////////////////////

find_path(NETCDF_INCLUDE_FOUND netcdf.h HINTS ${NETCDF_INCLUDE} "/usr/include")
if(NOT NETCDF_INCLUDE_FOUND)
  message(FATAL_ERROR "netcdf.h header file not found")
else()
  message("-- Found netcdf.h header file at: " ${NETCDF_INCLUDE_FOUND})
endif()

find_library(NETCDF_LIBRARY NAMES netcdf)
if(NOT NETCDF_LIBRARY)
  message(FATAL_ERROR "netcdf library not found")
else()
  message("-- Found netcdf library at: " ${NETCDF_LIBRARY})
endif()

find_library(HDF5_LIBRARY NAMES hdf5)
if(NOT HDF5_LIBRARY)
  message(FATAL_ERROR "hdf5 library not found")
else()
  message("-- Found hdf5 library at: " ${HDF5_LIBRARY})
endif()

find_library(HDF5_HL_LIBRARY NAMES hdf5_hl)
if(NOT HDF5_HL_LIBRARY)
  message(FATAL_ERROR "hdf5 high level library not found")
else()
  message("-- Found hdf5 high level library at: " ${HDF5_HL_LIBRARY})
endif()

find_library(ZLIB_LIBRARY NAMES z)
if(NOT ZLIB_LIBRARY)
  message(FATAL_ERROR "zlib library not found")
else()
  message("-- Found zlib library at: " ${ZLIB_LIBRARY})
endif()

option(FIND_SZIP "Try to link with SZIP library" ON)

if (FIND_SZIP)
message("-- Trying to find SZIP library...")
find_library(SZIP_LIBRARY NAMES sz)
if(NOT SZIP_LIBRARY)
  message(FATAL_ERROR "szip library not found")
else()
  message("-- Found szip library at: " ${SZIP_LIBRARY})
endif()
endif(FIND_SZIP)

find_library(CURL_LIBRARY NAMES curl)
if(NOT CURL_LIBRARY)
  message(FATAL_ERROR "curl library not found")
else()
  message("-- Found curl library at: " ${CURL_LIBRARY})
endif()

if (MSVC)
  add_definitions( "/D_CRT_SECURE_NO_WARNINGS /D_CRT_NONSTDC_NO_DEPRECATE" )
  message("-- Building with static runtime library")
  set(CMAKE_CXX_FLAGS_DEBUG "/D_DEBUG /MTd /Zi /Ob0 /Od /RTC1")
  set(CMAKE_CXX_FLAGS_MINSIZEREL     "/MT /O1 /Ob1 /D NDEBUG")
  set(CMAKE_CXX_FLAGS_RELEASE        "/MT /O2 /Ob2 /D NDEBUG")
  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "/MT /Zi /O2 /Ob1 /D NDEBUG")
  
  #//////////////////////////
  #compile as C++ Code (/TP)
  #//////////////////////////
  
  set(CMAKE_C_FLAGS_DEBUG "/TP /D_DEBUG /MTd /Zi /Ob0 /Od /RTC1")
  set(CMAKE_C_FLAGS_MINSIZEREL     "/TP /MT /O1 /Ob1 /D NDEBUG")
  set(CMAKE_C_FLAGS_RELEASE        "/TP /MT /O2 /Ob2 /D NDEBUG")
  set(CMAKE_C_FLAGS_RELWITHDEBINFO "/TP /MT /Zi /O2 /Ob1 /D NDEBUG")
  set(WINSOCK_LIBRARY ws2_32.lib winmm.lib wldap32.lib)

else (MSVC)  

#//////////////////////////
#compile as C99
#//////////////////////////

if (CMAKE_VERSION VERSION_LESS "3.1")  
  if (CMAKE_C_COMPILER_ID STREQUAL "GNU")
    set (CMAKE_C_FLAGS "--std=gnu99 ${CMAKE_C_FLAGS}")
  endif ()
else ()
  set (CMAKE_C_STANDARD 99)
endif ()

endif(MSVC)

#//////////////////////////
#compiler includes
#//////////////////////////

include_directories(${NETCDF_INCLUDE_FOUND})

#//////////////////////////
#link with libraries
#//////////////////////////

set(LIB_DEP ${LIB_DEP} ${NETCDF_LIBRARY} ${HDF5_HL_LIBRARY} ${HDF5_LIBRARY})
set(LIB_DEP ${LIB_DEP} ${CURL_LIBRARY} ${ZLIB_LIBRARY} ${SZIP_LIBRARY})

if (MSVC)
  set(LIB_DEP ${LIB_DEP} ${WINSOCK_LIBRARY})
else (MSVC)
  set(LIB_DEP ${LIB_DEP} m)
endif(MSVC)

#//////////////////////////
#nco lib sources 
#//////////////////////////

set(nco_SOURCES ${nco_SOURCES} src/nco/libnco.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_att_utl.c src/nco/nco_att_utl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_aux.c src/nco/nco_aux.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_bnr.c src/nco/nco_bnr.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_cln_utl.c src/nco/nco_cln_utl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_cnf_dmn.c src/nco/nco_cnf_dmn.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_cnf_typ.c src/nco/nco_cnf_typ.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_cnk.c src/nco/nco_cnk.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_cnv_arm.c src/nco/nco_cnv_arm.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_cnv_csm.c src/nco/nco_cnv_csm.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_ctl.c src/nco/nco_ctl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_dbg.c src/nco/nco_dbg.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_dmn_utl.c src/nco/nco_dmn_utl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_fl_utl.c src/nco/nco_fl_utl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_getopt.c src/nco/nco_getopt.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_grp_trv.c src/nco/nco_grp_trv.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_grp_utl.c src/nco/nco_grp_utl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_lmt.c src/nco/nco_lmt.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_lst_utl.c src/nco/nco_lst_utl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_md5.c src/nco/nco_md5.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_mmr.c src/nco/nco_mmr.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_mpi.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_msa.c src/nco/nco_msa.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_mss_val.c src/nco/nco_mss_val.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_mta.c src/nco/nco_mta.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_netcdf.c src/nco/nco_netcdf.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_omp.c src/nco/nco_omp.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_pck.c src/nco/nco_pck.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_ppc.c src/nco/nco_ppc.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_prn.c src/nco/nco_prn.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_rec_var.c src/nco/nco_rec_var.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_rgr.c src/nco/nco_rgr.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_rth_flt.c src/nco/nco_rth_flt.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_rth_utl.c src/nco/nco_rth_utl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_scl_utl.c src/nco/nco_scl_utl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_scm.c src/nco/nco_scm.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_sld.c src/nco/nco_sld.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_sng_utl.c src/nco/nco_sng_utl.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_srm.c src/nco/nco_srm.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_typ.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_uthash.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_var_avg.c src/nco/nco_var_avg.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_var_lst.c src/nco/nco_var_lst.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_var_rth.c src/nco/nco_var_rth.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_var_scv.c src/nco/nco_var_scv.h)
set(nco_SOURCES ${nco_SOURCES} src/nco/nco_var_utl.c src/nco/nco_var_utl.h)

add_library(nco STATIC ${nco_SOURCES})
add_executable(ncks src/nco/ncks.c)
add_executable(ncbo src/nco/ncbo.c)
add_executable(ncecat src/nco/ncecat.c)
add_executable(ncflint src/nco/ncflint.c)
add_executable(ncpdq src/nco/ncpdq.c)
add_executable(ncra src/nco/ncra.c)
add_executable(ncrename src/nco/ncrename.c)

set(nco_LIB nco)

target_link_libraries (ncks ${nco_LIB} ${LIB_DEP})
target_link_libraries (ncbo ${nco_LIB} ${LIB_DEP})
target_link_libraries (ncecat ${nco_LIB} ${LIB_DEP})
target_link_libraries (ncflint ${nco_LIB} ${LIB_DEP})
target_link_libraries (ncpdq ${nco_LIB} ${LIB_DEP})
target_link_libraries (ncra ${nco_LIB} ${LIB_DEP})
target_link_libraries (ncrename ${nco_LIB} ${LIB_DEP})

#/////////////////////////////////////////////////////////////////////////////////////
#ncap2 
#/////////////////////////////////////////////////////////////////////////////////////

#options
#command line options for library dependencies
#-DANTLR_INCLUDE=PATH
#-DANTLR_LIBRARY=FILE

#//////////////////////////
#detect dependencies
#note: cmake can detect relative paths, e.g, antlr/AST.hpp
#//////////////////////////

find_path(ANTLR_INCLUDE_FOUND antlr/AST.hpp HINTS ${ANTLR_INCLUDE})
if(NOT ANTLR_INCLUDE_FOUND)
  message("-- ANTLR header files not found")
else()
  message("-- Found ANTLR header files at: " ${ANTLR_INCLUDE_FOUND})
endif()

find_library(ANTLR_LIBRARY NAMES antlr)
if(NOT ANTLR_LIBRARY)
  message("-- ANTLR library not found")
else()
  message("-- Found ANTLR library at: " ${ANTLR_LIBRARY})
endif()

set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/Invoke.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/ncap2.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/ncap2_utl.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/ncap2_att.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/sdo_utl.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/sym_cls.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/fmc_cls.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/fmc_all_cls.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/fmc_gsl_cls.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/prs_cls.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/NcapVar.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/NcapVarVector.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/ncoLexer.cpp)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/ncoParser.cpp)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/ncoTree.cpp)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/Invoke.cc)
set(ncap2_SOURCES ${ncap2_SOURCES} src/nco++/nco_gsl.c)

if(ANTLR_INCLUDE_FOUND)
  add_executable(ncap2 ${ncap2_SOURCES})
  target_include_directories(ncap2 PRIVATE src/nco ${ANTLR_INCLUDE_FOUND})
  target_link_libraries (ncap2 ${nco_LIB} ${LIB_DEP} ${ANTLR_LIBRARY}) 
endif(ANTLR_INCLUDE_FOUND)

=== bld/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Purpose: GNU Makefile for NCO module nco
 # Requires GNU Make---AT&T Make chokes on GNU syntax
 
-# Copyright (C) 1994--2016 Charlie Zender
+# Copyright (C) 1994--2017 Charlie Zender
 # License: GNU General Public License (GPL) Version 3
 # See http://www.gnu.org/copyleft/gpl.html for full license text

=== debian/changelog ===
nco (4.6.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Jul 2017 13:45:40 +0200

nco (4.6.7-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 13:43:13 +0200

nco (4.6.7-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable PIE hardening buildflags.
  * Update lintian overrides for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 May 2017 22:42:15 +0200

nco (4.6.6-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Apr 2017 11:37:21 +0200

nco (4.6.5-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Mar 2017 07:31:36 +0100

nco (4.6.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years for Charlie Zender.
  * Add lintian override for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Feb 2017 07:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                texinfo
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git -b stretch-backports
 Homepage: http://nco.sourceforge.net/
 
 Package: nco

## nco 4.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 #//////////////////////////
 
 add_definitions(-DHAVE_NETCDF4_H)
+add_definitions(-DENABLE_NETCDF4)
 if (MSVC)
 
   #//////////////////////////
@@ -211,6 +212,9 @@
 add_executable(ncpdq src/nco/ncpdq.c)
 add_executable(ncra src/nco/ncra.c)
 add_executable(ncrename src/nco/ncrename.c)
+if (MSVC)
+add_executable(ncwa src/nco/ncwa.c)
+endif(MSVC)
 
 set(nco_LIB nco)
 
@@ -221,6 +225,9 @@
 target_link_libraries (ncpdq ${nco_LIB} ${LIB_DEP})
 target_link_libraries (ncra ${nco_LIB} ${LIB_DEP})
 target_link_libraries (ncrename ${nco_LIB} ${LIB_DEP})
+if (MSVC)
+target_link_libraries (ncwa ${nco_LIB} ${LIB_DEP})
+endif(MSVC)
 
 #/////////////////////////////////////////////////////////////////////////////////////
 #ncap2

=== bld/Makefile ===
--- 
+++ 
@@ -18,14 +18,14 @@
 # cooley.alcf.anl.g  : NCO          Configure All else GCC
 # edison.nersc.gov   : NCO          Configure All else Intel
 # firn.ess.uci.edu   : NCO          Configure All else LLVM
-# frazil.ess.uci.edu : NCO + netCDF Configure All else GCC
+# frazil.ess.uci.edu : NCO          Configure All else GCC
 # givre.ess.uci.edu  : NCO + netCDF Makefile  All else LLVM
 # glace.ess.uci.edu  : NCO          Configure All else GCC
 # grele.ess.uci.edu  : NCO          Makefile  All else GCC
 # neige.ess.uci.edu  : NCO          Makefile  All else GCC
 # rhea.ccs.ornl.gov  : NCO          Makefile  All else GCC
 # roulee.ess.uci.edu : NCO + netCDF Makefile  All else GCC
-# skyglow.ess.uci.edu: NCO          Configure All else GCC
+# skyglow.ess.uci.edu: NCO + netCDF Configure All else GCC
 # travis CI          : NCO          Configure All else gcc,clang,g++
 # yellowstone.ucar.e : NCO          Makefile  All else Intel

=== debian/changelog ===
nco (4.6.8-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to use --no-rollback for gbp import-orig.
  * Don't explicitly build with GCC 6, FTBFS with GCC 7 fixed upstream.
    (closes: #853569)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Aug 2017 21:18:01 +0200

nco (4.6.7-2) unstable; urgency=medium

  * Explicitly build with GCC 6 (FTBFS with GCC 7 not fixed yet).
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Drop unused lintian override.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Aug 2017 13:33:04 +0200

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git -b stretch-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git
 Homepage: http://nco.sourceforge.net/
 
 Package: nco

## nco 4.6.9

=== debian/changelog ===
nco (4.6.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Sep 2017 09:23:10 +0200

nco (4.6.9-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Sep 2017 07:54:09 +0200

nco (4.6.8-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Aug 2017 07:53:55 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                texinfo
 Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git -b stretch-backports
 Homepage: http://nco.sourceforge.net/
 
 Package: nco
